Remove Customers from the Customer Group
curl --request DELETE \
--url https://api.mijnklantportaal.nl/v1/customer-groups/{customerGroupId}/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customers": [
"cst_abc12345"
]
}
'import requests
url = "https://api.mijnklantportaal.nl/v1/customer-groups/{customerGroupId}/customers"
payload = { "customers": ["cst_abc12345"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({customers: ['cst_abc12345']})
};
fetch('https://api.mijnklantportaal.nl/v1/customer-groups/{customerGroupId}/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "cst_abc12345def678",
"companyName": "Test Company BV",
"address": "Teststreet 123",
"zipCode": "1234AB",
"city": "Amsterdam",
"countryCode": "NL",
"primaryEmail": "john.doe@test.com",
"phone": "+312012345678",
"integration": "acumulus",
"integrationId": "123456789",
"customerGroups": [
"cug_123abc567"
],
"createdAt": "2024-04-28T21:00:00+02:00"
}
]
}{
"message": "<string>"
}Remove Customers from the Customer Group
Remove one or multiple customers from the Customer Group. Please note that unknown or wrong Customer IDs are ignored, no error is returned.
DELETE
/
customer-groups
/
{customerGroupId}
/
customers
Remove Customers from the Customer Group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the customer group to remove customers from
Body
application/json
An array of Customer IDs which needs to be removed from the group.
Response
Non-paginated response with customers
Array of Customer objects
Show child attributes
Show child attributes
⌘I
